## Colors Colors — Manipulation of colors |

## Functions

GdkColor * | gdk_color_copy ()
void | gdk_color_free ()
gboolean | gdk_color_parse ()
gboolean | gdk_color_equal ()
guint | gdk_color_hash ()
gchar * | gdk_color_to_string ()

## Types and Values

| GdkColor

## Includes

    #include <gdk/gdk.h>

## Description

A GdkColor represents a color.

When working with cairo, it is often more convenient to use a GdkRGBA instead, and GdkColor has been deprecated in favor of GdkRGBA.

## Functions

### gdk_color_copy ()

    GdkColor *
    gdk_color_copy (const GdkColor *color);

`gdk_color_copy` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

Makes a copy of a GdkColor.

The result must be freed using `gdk_color_free()`.

#### Parameters

color | a GdkColor |

#### Returns

a copy of `color`

### gdk_color_free ()

    void
    gdk_color_free (GdkColor *color);

`gdk_color_free` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

Frees a GdkColor created with `gdk_color_copy()`.

#### Parameters

color | a GdkColor |

### gdk_color_parse ()

    gboolean
    gdk_color_parse (const gchar *spec,
                     GdkColor *color);

`gdk_color_parse` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

Parses a textual specification of a color and fill in the `red` , `green` , and `blue` fields of a GdkColor.

The string can either one of a large set of standard names (taken from the X11 `rgb.txt` file), or it can be a hexadecimal value in the form “#rgb” “#rrggbb”, “#rrrgggbbb” or “#rrrrggggbbbb” where “r”, “g” and “b” are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is “#fff”, “#ffffff”, “#fffffffff” and “#ffffffffffff”).

#### Parameters

spec | the string specifying the color |
color | the GdkColor to fill in. | [out]

#### Returns

`TRUE` if the parsing succeeded

### gdk_color_equal ()

    gboolean
    gdk_color_equal (const GdkColor *colora,
                     const GdkColor *colorb);

`gdk_color_equal` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

Compares two colors.

#### Parameters

colora | a GdkColor |
colorb | another GdkColor |

#### Returns

`TRUE` if the two colors compare equal

### gdk_color_hash ()

    guint
    gdk_color_hash (const GdkColor *color);

`gdk_color_hash` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

A hash function suitable for using for a hash table that stores GdkColors.

#### Parameters

color | a GdkColor |

#### Returns

The hash function applied to `color`

### gdk_color_to_string ()

    gchar *
    gdk_color_to_string (const GdkColor *color);

`gdk_color_to_string` has been deprecated since version 3.14 and should not be used in newly-written code.

Use GdkRGBA

Returns a textual specification of `color` in the hexadecimal form “#rrrrggggbbbb” where “r”, “g” and “b” are hex digits representing the red, green and blue components respectively.

The returned string can be parsed by `gdk_color_parse()`.

#### Parameters

color | a GdkColor |

#### Returns

a newly-allocated text string

Since: 2.12